//
//  BFMusicCategoryCell.swift
//  BFRecordScreenKit
//
//  Created by 胡志强 on 2022/3/1.
//

import Foundation
import BFMediaKit

class BFMusicCategoryCell: UICollectionViewCell {
    
    var isChoosed : Bool = false {
        didSet{
            if titleL.text?.count ?? 0 > 0{
                if isChoosed {
                    titleL.textColor = UIColor.white
                    line.isHidden = false
                }else {
                    titleL.textColor = UIColor.hexColor(hexadecimal: "#616161")
                    line.isHidden = true
                }
            }
            
        }
    }
    lazy var titleL : UILabel = {
        let l = UILabel()
        l.textColor = UIColor.white
        l.font = UIFont.systemFont(ofSize: 15, weight: .regular)
        l.textColor = UIColor.hexColor(hexadecimal: "#616161")
        l.textAlignment = .center
        
        return l
    }()
    
    lazy var icon : UIImageView = {
        let iv = UIImageView()
        iv.contentMode = .scaleAspectFit
        
        return iv
    }()
    
    lazy var line : UIView = {
        let v = UIView()
        v.backgroundColor = .white
        v.isHidden = true
        return v
    }()
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        backgroundColor = UIColor.clear
 
        contentView.addSubview(titleL)
        titleL.snp.makeConstraints { make in
            make.left.right.top.equalToSuperview()
            make.bottom.equalTo(-8)
        }
        
        contentView.addSubview(line)
        line.snp.makeConstraints { make in
            make.left.equalTo(3)
            make.right.equalTo(-3)
            make.height.equalTo(2)
            make.bottom.equalToSuperview()
        }
        
        contentView.addSubview(icon)
        icon.snp.makeConstraints { make in
            make.center.equalToSuperview()
            make.width.height.equalTo(24)
        }
        
        
//
//        contentView.addSubview(line1);
 
    }

    required init?(coder _: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func addData(dic:PQStuckPointMusicTagsModel) {
        icon.isHidden = true
        titleL.isHidden = true
        if let title = dic.tagName, title.count > 0 {
            titleL.isHidden = false
            titleL.text = title
            icon.image = nil
        }else if let tagid = dic.tagId, tagid == -1 {
            icon.isHidden = false
            titleL.text = ""
            icon.image = imageInRecordScreenKit(by: "voiceDeleteS")
        }
    }

    
}
